Skip to content

Bank account movements

Request

Retrieves bank account movements for a specific holding account.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
holdingAccountIdstring, (uuid)required

The unique identifier (GUID) of the holding account

Example:19513fa5-b359-4484-b47a-8984b4de6f43
Query
startDatestring, (date)required

Start date for the reporting period (YYYY-MM-DD)

Example:startDate=2024-07-01
endDatestring, (date)required

End date for the reporting period (YYYY-MM-DD)

Example:endDate=2025-06-30
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/investment-data/holding-accounts/19513fa5-b359-4484-b47a-8984b4de6f43/bank-account-movements?startDate=2024-07-01&endDate=2025-06-30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
Dataobjectrequired
ErrorsArray of objects
Response
{ "Data": { "Links": [ { "Url": "/f/demo-business/demo-fund/investment-data/holding-accounts/0d465630-1f7c-4b7f-88d5-c366af2f8018", "Relation": "self" } ], "Code": "Bank", "Description": "Test CMA", "CurrencyCode": "AUD", "Status": "Active", "Balance": { "StartDate": "2024-07-01T00:00:00", "EndDate": "2025-06-30T00:00:00", "OpeningBalance": 96190.11, "TotalDeposit": 0, "TotalWithdrawal": 0, "ClosingBalance": 96190.11 }, "Transactions": [ {} ] }, "Errors": [ { "code": "string", "message": "string" } ] }